Retrieve an equipment
curl --request GET \
--url https://sandbox-remote-api.rayda.co/api/v2/client/equipment/{equipmentId} \
--header 'Authorization: Bearer <token>'{
"success": true,
"message": "Record fetched successfully",
"data": {
"id": "9f354120-c510-4a5a-abc3-47317eb83570",
"title": "MacBook Pro 14",
"year": "2022",
"assignee": {
"id": "9f22cdbf-37d5-4e1c-b4dd-288771c62c63",
"name": "Adrienne Littel",
"email": "[email protected]",
"job_title": null,
"department": "Tools",
"level": null,
"country": "Greece",
"country_code": "GR",
"address": "236 W 4th Avenue Apt. 124 Erynland NV GR",
"employment_type": null,
"phone": 15046337109
},
"make": "Apple",
"model": "Model Pro",
"state": "Used",
"source": "External",
"purchase_date": "2023-06-04T13:59:07.000Z",
"purchase_price": "2500000.00",
"type": "Laptop/Workstation",
"hash_code": null,
"asset_order_id": null,
"catalog": null,
"currency": {
"id": "b3a54450-7895-4986-95a4-af7cc4f3cdfa",
"name": "United States Dollar",
"code": "USD",
"symbol": "$",
"status": "Active",
"created_at": "2024-10-10T13:06:17.000Z",
"updated_at": "2024-10-10T13:06:17.000Z"
},
"device_setup": null,
"image_url": null,
"serial_number": "S3ER3F-R4ETG",
"other_details": "['15.6 Inches','Core i5','16GB RAM','512GB SSD','New']",
"specs": {
"storage": "512GB",
"memory": "18GB",
"color": "Black"
},
"description": "Apple MacBook Pro 14' with M1 Pro Chip, 16GB RAM, 512GB SSD, Space Gray",
"status": "Assigned",
"country": "Nigeria",
"score": 90,
"missing_information": [
"image_url"
],
"has_missing_information": true,
"insurance_expiring_in": null,
"usage_duration": "2 years",
"storage_duration": null,
"country_code": "NG",
"created_at": "2025-06-21T12:59:07.000Z",
"updated_at": "2025-06-21T12:59:07.000Z",
"documents": [],
"history": [
{
"id": "9f354120-f424-4044-a174-ff616100f297",
"event_type": "equipment_added",
"event_date": "2025-06-21T13:59:08.000Z",
"equipment": "MacBook Pro 14",
"actor": "John Doe",
"payload": null,
"assignee": {
"id": "9f22cdbf-37d5-4e1c-b4dd-288771c62c63",
"name": "Adrienne Littel"
}
}
]
}
}Equipment
Get an Equipment
Retrieve an equipment based on the provided ID.
GET
/
client
/
equipment
/
{equipmentId}
Retrieve an equipment
curl --request GET \
--url https://sandbox-remote-api.rayda.co/api/v2/client/equipment/{equipmentId} \
--header 'Authorization: Bearer <token>'{
"success": true,
"message": "Record fetched successfully",
"data": {
"id": "9f354120-c510-4a5a-abc3-47317eb83570",
"title": "MacBook Pro 14",
"year": "2022",
"assignee": {
"id": "9f22cdbf-37d5-4e1c-b4dd-288771c62c63",
"name": "Adrienne Littel",
"email": "[email protected]",
"job_title": null,
"department": "Tools",
"level": null,
"country": "Greece",
"country_code": "GR",
"address": "236 W 4th Avenue Apt. 124 Erynland NV GR",
"employment_type": null,
"phone": 15046337109
},
"make": "Apple",
"model": "Model Pro",
"state": "Used",
"source": "External",
"purchase_date": "2023-06-04T13:59:07.000Z",
"purchase_price": "2500000.00",
"type": "Laptop/Workstation",
"hash_code": null,
"asset_order_id": null,
"catalog": null,
"currency": {
"id": "b3a54450-7895-4986-95a4-af7cc4f3cdfa",
"name": "United States Dollar",
"code": "USD",
"symbol": "$",
"status": "Active",
"created_at": "2024-10-10T13:06:17.000Z",
"updated_at": "2024-10-10T13:06:17.000Z"
},
"device_setup": null,
"image_url": null,
"serial_number": "S3ER3F-R4ETG",
"other_details": "['15.6 Inches','Core i5','16GB RAM','512GB SSD','New']",
"specs": {
"storage": "512GB",
"memory": "18GB",
"color": "Black"
},
"description": "Apple MacBook Pro 14' with M1 Pro Chip, 16GB RAM, 512GB SSD, Space Gray",
"status": "Assigned",
"country": "Nigeria",
"score": 90,
"missing_information": [
"image_url"
],
"has_missing_information": true,
"insurance_expiring_in": null,
"usage_duration": "2 years",
"storage_duration": null,
"country_code": "NG",
"created_at": "2025-06-21T12:59:07.000Z",
"updated_at": "2025-06-21T12:59:07.000Z",
"documents": [],
"history": [
{
"id": "9f354120-f424-4044-a174-ff616100f297",
"event_type": "equipment_added",
"event_date": "2025-06-21T13:59:08.000Z",
"equipment": "MacBook Pro 14",
"actor": "John Doe",
"payload": null,
"assignee": {
"id": "9f22cdbf-37d5-4e1c-b4dd-288771c62c63",
"name": "Adrienne Littel"
}
}
]
}
}Example Response
{
"success": true,
"message": "Record fetched successfully",
"data": {
"id": "9f3542fa-30bf-4da1-9ab9-04bf401081b6",
"title": "MacBook Pro 14",
"year": "2022",
"assignee": {
"id": "9f22cdbf-37d5-4e1c-b4dd-288771c62c63",
"name": "Adrienne Littel",
"email": "[email protected]",
"job_title": null,
"department": "Tools",
"level": null,
"country": "Greece",
"country_code": "GR",
"address": "236 W 4th Avenue Apt. 124 Erynland NV GR",
"employment_type": null,
"phone": "+15046337109"
},
"make": "Apple",
"model": "Model Pro",
"state": "Used",
"source": "External",
"purchase_date": "2023-06-04 14:04:17",
"purchase_price": "2500000.00",
"type": "Laptop/Workstation",
"hash_code": null,
"asset_order_id": null,
"catalog": null,
"currency": {
"id": "b3a54450-7895-4986-95a4-af7cc4f3cdfa",
"name": "United States Dollar",
"code": "USD",
"symbol": "$",
"status": "Active",
"created_at": "2024-10-10T13:06:17.000000Z",
"updated_at": "2024-10-10T13:06:17.000000Z"
},
"device_setup": null,
"image_url": null,
"serial_number": "S3E3F-R4ETG",
"other_details": "['15.6 Inches','Core i5','16GB RAM','512GB SSD','New']",
"specs": {
"storage": "512GB",
"memory": "18GB",
"color": "Black"
},
"description": "Apple MacBook Pro 14' with M1 Pro Chip, 16GB RAM, 512GB SSD, Space Gray",
"status": "Assigned",
"country": "Nigeria",
"score": 90,
"missing_information": [
"image_url"
],
"has_missing_information": true,
"insurance_expiring_in": null,
"usage_duration": "2 years",
"storage_duration": null,
"country_code": "NG",
"created_at": "2025-06-21T13:04:17.000000Z",
"updated_at": "2025-06-21T13:04:17.000000Z",
"documents": [],
"history": [
{
"id": "9f3542fa-345f-495f-9197-8bf6a7375810",
"event_type": "equipment_added",
"event_date": "2025-06-21 14:04:18.000",
"equipment": "MacBook Pro 14",
"actor": null,
"payload": null,
"assignee": null
},
{
"id": "9f3542fa-3679-4a50-8186-88b30bdae67a",
"event_type": "assigned",
"event_date": "2025-06-21 14:04:18.000",
"equipment": "MacBook Pro 14",
"actor": "John Doe",
"payload": null,
"assignee": {
"id": "9f22cdbf-37d5-4e1c-b4dd-288771c62c63",
"name": "Adrienne Littel"
}
}
]
}
}
⌘I